## squid 5.7

=== debian/changelog ===
squid (5.7-2+deb12u5A~5.2.4.202601131248) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    001-enable-ssl.patch
    005-squid-4-14311.quilt

 -- Univention builddaemon <buildd@univention.de>  Tue, 13 Jan 2026 12:49:32 -0000

squid (5.7-2+deb12u5) bookworm; urgency=medium

  * Non maintainer upload by LTS team
  * Fix CVE-2023-46728:
    Due to a NULL pointer dereference bug Squid is vulnerable
    to a Denial of Service attack against Squid's Gopher gateway.
  * Fix CVE-2025-59362 (Closes: #1117048)
    Squid mishandles ASN.1 encoding of long SNMP OIDs.
  * Remove Gopher support
  * Fix CVE-2024-45802: Disable ESI feature support.
    Due to Input Validation, Premature Release of Resource During Expected
    Lifetime, and Missing Release of Resource after Effective Lifetime bugs,
    Squid is vulnerable to Denial of Service attacks by a trusted server
    against all clients using the proxy. This problem is fixed by changing
    the build configuration to specify the --disable-esi option.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 14 Nov 2025 20:44:29 +0100

squid (5.7-2+deb12u4) bookworm-security; urgency=medium

  * CVE-2025-62168 (Closes: #1118341)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 29 Oct 2025 00:05:08 +0100

squid (5.7-2+deb12u3) bookworm-security; urgency=medium

  * CVE-2023-5824 / CVE-2025-54574, based on backports done by Marc
    Deslauriers for Ubuntu (Closes: #1055249)

 -- Moritz Mühlenhoff <jmm@debian.org>  Mon, 18 Aug 2025 20:41:21 +0200

squid (5.7-2+deb12u2) bookworm-security; urgency=medium

  * CVE-2024-37894 (Closes: #1074284)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 16 Aug 2024 17:02:55 +0200

squid (5.7-2+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2023-46724, CVE-2023-46846, CVE-2023-46847, CVE-2023-46848,
    CVE-2023-49285, CVE-2023-49286, CVE-2023-50269, CVE-2024-23638,
    CVE-2024-25111, CVE-2024-25617.
  * Several security vulnerabilities have been discovered in Squid, a full
    featured web proxy cache. Due to programming errors in Squid's HTTP request
    parsing, remote attackers may be able to execute a denial of service attack
    by sending large X-Forwarded-For header or trigger a stack buffer overflow
    while performing HTTP Digest authentication. Other issues facilitate
    request smuggling past a firewall or a denial of service against Squid's
    Helper process management.
    In regard to CVE-2023-46728: Please note that support for the Gopher
    protocol has simply been removed in future Squid versions. There are no
    plans by the upstream developers of Squid to fix this issue. We recommend
    to reject all Gopher URL requests instead.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Mar 2024 23:14:44 +0100

squid (5.7-2) unstable; urgency=medium

  * Add a couple of upstream picked patches to fix some issues on 5.7
    that upstream has fixed on 5.8.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 28 Apr 2023 08:35:27 +0200

squid (5.7-1) unstable; urgency=medium

  * Urgency high due to security fixes

  [ Luigi Gangitano <luigi@debian.org> ]
  * New upstream version 5.7

  * Exposure of Sensitive Information in Cache Manager (CVE-2022-41317)
    (Closes: #1020587)
  * Buffer Over Read in SSPI and SMB Authentication (CVE-2022-41318)
    (Closes: #1020586)

  * debian/patches/
    - Removed 0006-Fix-build-against-OpenSSL-3-0.patch integrated upstream

  * debian/control
    - Bumped Standards-Version to 4.6.1, no change needed

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control:
          - Changed from 'debhelper' to 'debhelper-compat' in Build-Depends
            field and bumped level to 13.
      - debian/rules:
          - Disable dh_missing
      - Dropped unnecessary dependencies in Build-Depends field.

  * debian/salsa-ci.yml
      - Added to provide CI tests for Salsa

  * debian/upstream/metadata
    - Created upstream metadata file

  * debian/upstream/signing-key.asc
    - Strip extra signatures from upstream key

 -- Luigi Gangitano <luigi@debian.org>  Tue,  4 Oct 2022 11:04:20 +0200
