=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #! /usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations
-export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations
+export DEB_CFLAGS_MAINT_APPEND = -Wall
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
@@ -46,8 +45,7 @@
 		--enable-storeid-rewrite-helpers="file" \
 		--enable-url-rewrite-helpers="fake" \
 		--enable-eui \
-		--enable-ssl \
-		--with-openssl \
+		--enable-esi \
 		--enable-icmp \
 		--enable-zph-qos \
 		--enable-ecap \
@@ -58,9 +56,6 @@
 		--with-filedescriptors=65536 \
 		--with-large-files \
 		--with-default-user=proxy
-
-## CVE-2024-45802
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-esi
 
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
@@ -93,9 +88,17 @@
 	dh_auto_build
 	cd debian/build-openssl && dh_auto_build
 
+execute_before_dh_auto_test:
+	# Do not include additional configuration files during tests. This would lead to failures due to missing paths.
+	sed -i 's|^\(include /etc/squid/conf\.d/\*\.conf\)|# \1|' src/squid.conf.default debian/build-openssl/src/squid.conf.default
+
 override_dh_auto_test:
-	-dh_auto_test
-	-cd debian/build-openssl && dh_auto_test
+	dh_auto_test
+	cd debian/build-openssl && dh_auto_test
+
+execute_after_dh_auto_test:
+	# Restore configuration file to its previous state.
+	sed -i 's|^# \(include /etc/squid/conf\.d/\*\.conf\)|\1|' src/squid.conf.default debian/build-openssl/src/squid.conf.default
 
 override_dh_auto_install:
 	dh_auto_install
@@ -169,8 +172,6 @@
 	$(RM) -r debian/build* debian/tmp*
 	dh_auto_clean
 
-# Disable dh_missing
-override_dh_missing:
-
 debian/copyright: debian/copyright.Debian CREDITS
 	cat $^ | sed -e "s/59 Temple Place.* Suite 330/51 Franklin St, Fifth Floor/" -e "s/MA  \?02111[^, ]*/MA 02110-1301/" -e "s/675 Mass Ave/51 Franklin St, Fifth Floor/" -e "s/Cambridge, MA 02139/Boston, MA 02110-1301/" > $@
+
