=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.squid-cache.org/Versions/v5/squid-([\.\d]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
