=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #! /usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations
+
+ifeq ($(DEB_HOST_ARCH), ppc64el)
+    DEB_CFLAGS_MAINT_APPEND += -Wno-error=maybe-uninitialized
+    DEB_CXXFLAGS_MAINT_APPEND += -Wno-error=maybe-uninitialized
+endif
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
 	DEB_LDFLAGS_MAINT_APPEND += -latomic
@@ -172,6 +178,8 @@
 	$(RM) -r debian/build* debian/tmp*
 	dh_auto_clean
 
+# Disable dh_missing
+override_dh_missing:
+
 debian/copyright: debian/copyright.Debian CREDITS
 	cat $^ | sed -e "s/59 Temple Place.* Suite 330/51 Franklin St, Fifth Floor/" -e "s/MA  \?02111[^, ]*/MA 02110-1301/" -e "s/675 Mass Ave/51 Franklin St, Fifth Floor/" -e "s/Cambridge, MA 02139/Boston, MA 02110-1301/" > $@
-
