=== debian/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
 XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/squid-team/squid.git
 Vcs-Browser: https://salsa.debian.org/squid-team/squid
-Build-Depends: ed, libltdl-dev, pkg-config
+Build-Depends: ed
+	, libltdl-dev
+	, pkgconf
 # The compiler dependencies are relevant for backporting.
-	, g++ (>= 4.9) <!cross> | clang (>= 3.7) <!cross>
-	, gcc (>= 4.9) <!cross> | clang (>= 3.7) <!cross>
-	, debhelper (>=12.8), dpkg-dev (>= 1.17.11~), lsb-release
+	, g++ (>= 5) <!cross> | clang (>= 3.8) <!cross>
+	, gcc (>= 5) <!cross> | clang (>= 3.8) <!cross>
+	, debhelper-compat (= 13)
+	, lsb-release
 	, dh-apparmor
 	, libcppunit-dev
 	, libcap2-dev [linux-any]
@@ -39,7 +42,7 @@
 Conflicts: squid-openssl
 Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)
  Squid is a high-performance proxy caching server for web clients, supporting
- FTP, gopher, ICY and HTTP data objects.
+ FTP, ICY and HTTP data objects.
 
 Package: squid-openssl
 Architecture: any
@@ -50,7 +53,7 @@
 Conflicts: squid
 Description: Full featured Web Proxy cache (HTTP proxy OpenSSL flavour)
  Squid is a high-performance proxy caching server for web clients, supporting
- FTP, gopher, ICY and HTTP data objects.
+ FTP, ICY and HTTP data objects.
 
 Package: squid-common
 Architecture: all
@@ -58,7 +61,7 @@
 Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
 Description: Full featured Web Proxy cache (HTTP proxy) - common files
  Squid is a high-performance proxy caching server for web clients, supporting
- FTP, gopher, ICY and HTTP data objects.
+ FTP, ICY and HTTP data objects.
  .
  This package contains common files (MIB and icons)
 
@@ -68,7 +71,7 @@
 Recommends: ssl-cert, ca-certificates
 Description: Full featured Web Proxy cache (HTTP proxy) - HTTP(S) message utility
  Squid is a high-performance proxy caching server for web clients, supporting
- FTP, gopher, ICY and HTTP data objects.
+ FTP, ICY and HTTP data objects.
  .
  This package contains a small utility that can be used to get URLs from the
  command line.
@@ -78,7 +81,7 @@
 Depends: apache2 | httpd, ${shlibs:Depends}, ${misc:Depends}
 Description: Full featured Web Proxy cache (HTTP proxy) - control CGI
  Squid is a high-performance proxy caching server for web clients, supporting
- FTP, gopher, ICY and HTTP data objects.
+ FTP, ICY and HTTP data objects.
  .
  This package contains a CGI program that can be used to query and administrate
  a `squid' proxy cache through a web browser.
@@ -88,7 +91,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Full featured Web Proxy cache (HTTP proxy) - cache management utility
  Squid is a high-performance proxy caching server for web clients, supporting
- FTP, gopher, ICY and HTTP data objects.
+ FTP, ICY and HTTP data objects.
  .
  This package contains a small utility that can be used to manage the disk cache
  from the command line.
